{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.mnp_ci.piranha.eat_handler": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "fish_eaten": "q.is_eating_mob"
            }
          ]
        },
        "fish_eaten": {
          "on_exit": [
            "@s mnp_ci:try_fish_eaten_ev"
          ],
          "transitions": [
            {
              "default": "!q.is_eating_mob"
            }
          ]
        }
      }
    }
  }
}